Bug 210027 - devel/qt4-script: ARM Architecture not supported
Summary: devel/qt4-script: ARM Architecture not supported
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: kde
URL: https://reviews.freebsd.org/D8322
Keywords: needs-qa
Depends on:
Blocks: 216153
  Show dependency treegraph
 
Reported: 2016-06-04 16:43 UTC by Ulrich Grey
Modified: 2017-06-06 10:40 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
devel/qt4-script build log (83.14 KB, text/plain)
2016-06-04 16:43 UTC, Ulrich Grey
no flags Details
armv6 patch (3.10 KB, patch)
2016-06-21 15:34 UTC, mikael.urankar
no flags Details | Diff
build log (673.98 KB, text/plain)
2016-06-21 15:34 UTC, mikael.urankar
no flags Details
armv6 fix (19.07 KB, patch)
2017-01-16 17:47 UTC, mikael.urankar
no flags Details | Diff
patch (3.21 KB, patch)
2017-06-01 09:45 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Grey 2016-06-04 16:43:37 UTC
Created attachment 171015 [details]
devel/qt4-script build log

(00:15:09) c++ -c -O -pipe -fno-strict-aliasing -O2 -fvisibility=hidden -fvisibility-inlines-hidden -pthread -D_THREAD_SAFE -fPIC -DQT_SHARED -DJSC=QTJSC -Djscyyparse=qtjscyyparse -Djscyylex=qtjscyylex -Djscyyerror=qtjscyyerror -DWTF=QTWTF -DQT_BUILD_SCRIPT_LIB -DQT_NO_USING_NAMESPACE -DQLALR_NO_QSCRIPTGRAMMAR_DEBUG_INFO -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DBUILDING_QT__=1 -DWTF_USE_ACCELERATED_COMPOSITING -DNDEBUG -DBUILDING_QT__ -DBUILDING_JavaScriptCore -DBUILDING_WTF -DENABLE_JIT=0 -DENABLE_YARR_JIT=0 -DENABLE_YARR=0 -DWTF_USE_JAVASCRIPTCORE_BINDINGS=1 -DWTF_CHANGES=1 -DNDEBUG -DJS_NO_EXPORT -DQT_NO_DEBUG -DQT_CORE_LIB -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I/usr/local/share/qt4/mkspecs/freebsd-clang -I. -I../../include/QtCore -I../../include -I../3rdparty/javascriptcore/JavaScriptCore -I../3rdparty/javascriptcore -I../3rdparty/javascriptcore/JavaScriptCore/assembler -I../3rdparty/javascriptcore/JavaScriptCore/bytecode -I../3rdparty/javascriptcore/JavaScriptCore/bytecompiler -I../3rdparty/javascriptcore/JavaScriptCore/debugger -I../3rdparty/javascriptcore/JavaScriptCore/interpreter -I../3rdparty/javascriptcore/JavaScriptCore/jit -I../3rdparty/javascriptcore/JavaScriptCore/parser -I../3rdparty/javascriptcore/JavaScriptCore/pcre -I../3rdparty/javascriptcore/JavaScriptCore/profiler -I../3rdparty/javascriptcore/JavaScriptCore/runtime -I../3rdparty/javascriptcore/JavaScriptCore/wrec -I../3rdparty/javascriptcore/JavaScriptCore/wtf -I../3rdparty/javascriptcore/JavaScriptCore/wtf/symbian -I../3rdparty/javascriptcore/JavaScriptCore/wtf/unicode -I../3rdparty/javascriptcore/JavaScriptCore/yarr -I../3rdparty/javascriptcore/JavaScriptCore/API -I../3rdparty/javascriptcore/JavaScriptCore/ForwardingHeaders -I../3rdparty/javascriptcore/JavaScriptCore/generated -I../../include/QtScript -I.rcc/release-shared -I/wrkdirs/usr/ports/devel/qt4-script/work/qt-everywhere-opensource-src-4.8.7/src/3rdparty/javascriptcore/WebKit/qt/Api -I../3rdparty/javascriptcore/JavaScriptCore/pcre -I/wrkdirs/usr/ports/devel/qt4-script/work/qt-everywhere-opensource-src-4.8.7/src/3rdparty/javascriptcore/JavaScriptCore/tmp -I../3rdparty/javascriptcore/JavaScriptCore -I../3rdparty/javascriptcore/JavaScriptCore/parser -I../3rdparty/javascriptcore/JavaScriptCore/bytecompiler -I../3rdparty/javascriptcore/JavaScriptCore/debugger -I../3rdparty/javascriptcore/JavaScriptCore/runtime -I../3rdparty/javascriptcore/JavaScriptCore/wtf -I/wrkdirs/usr/ports/devel/qt4-script/work/qt-everywhere-opensource-src-4.8.7/src/script/../3rdparty/javascriptcore/JavaScriptCore/unicode -I../3rdparty/javascriptcore/JavaScriptCore/interpreter -I../3rdparty/javascriptcore/JavaScriptCore/jit -I../3rdparty/javascriptcore/JavaScriptCore/profiler -I../3rdparty/javascriptcore/JavaScriptCore/wrec -I../3rdparty/javascriptcore/JavaScriptCore/API -I../3rdparty/javascriptcore/JavaScriptCore/bytecode -I../3rdparty/javascriptcore/JavaScriptCore/assembler -I../3rdparty/javascriptcore/JavaScriptCore/generated -I. -Iparser -I.moc/release-shared -I/usr/local/include/qt4 -I/usr/local/include -o obj/release/pcre_compile.o ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_compile.cpp
(00:15:09) In file included from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_compile.cpp:44:
(00:15:09) In file included from ../3rdparty/javascriptcore/JavaScriptCore/config.h:26:
(00:15:09) ../3rdparty/javascriptcore/JavaScriptCore/wtf/Platform.h:328:6: error: "Not supported ARM architecture"
(00:15:09) #    error "Not supported ARM architecture"
(00:15:09)      ^
(00:15:10) --- obj/release/pcre_exec.o ---
Comment 1 mikael.urankar 2016-06-21 15:34:03 UTC
Created attachment 171650 [details]
armv6 patch
Comment 2 mikael.urankar 2016-06-21 15:34:25 UTC
Created attachment 171651 [details]
build log
Comment 3 mikael.urankar 2016-10-21 13:34:24 UTC
Can something be done for this pr, it blocks 276 ports on armv6
Thanks in advance
Comment 4 Tobias C. Berner freebsd_committer 2016-10-22 07:22:31 UTC
I do not really have a clue of arm.

But from [1] it seems that the __ARM_ARCH_6ZK__ is a misspelling of the 
__ARM_ARCH_6KZ__ which you are adding. 

So, assuming this patch actually helps the build for you, I see no harm in adding it.


[1] https://gcc.gnu.org/ml/gcc-patches/2015-06/msg01679.html
Comment 5 mikael.urankar 2016-10-22 08:58:23 UTC
Yes it's a mispelling, a lot of qt ports are affected too, should I open a single PR for all of them or one per port?
Comment 6 Tobias C. Berner freebsd_committer 2016-10-22 09:10:02 UTC
I think it would be the cleanest if we try to do it in one go in D8322.

Do you have a list of the affected ports?
Comment 7 mikael.urankar 2016-10-22 09:19:33 UTC
I don't have a list but I can make one.

I'm looking the build failures of the last run:
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p423739_s307008

The core dump of devel/libdbusmenu-qt, net-im/licq-qt-gui... is a fallout of the mispelling.

I don't know how the qt* ports work, patches in qt4-corelib/files are applied to all the qt4 ports?

qt5 is affected too.
Comment 8 mikael.urankar 2017-01-16 17:47:33 UTC
Created attachment 178963 [details]
armv6 fix

The following ports have their runtime broken on armv6:

accessibility/qt4-accessible    kde@FreeBSD.org
chinese/qt4-codecs-cn           kde@FreeBSD.org
chinese/qt4-codecs-tw           kde@FreeBSD.org
databases/qt4-mysql-plugin
databases/qt4-odbc-plugin
databases/qt4-pgsql-plugin
databases/qt4-sql               kde@FreeBSD.org
databases/qt4-sqlite-plugin
databases/qt4-sqlite3-plugin
devel/dbus-qt4                  kde@FreeBSD.org
devel/qt4-assistant-adp         kde@FreeBSD.org
devel/qt4-corelib               kde@FreeBSD.org
devel/qt4-help                  kde@FreeBSD.org
devel/qt4-help-tools            kde@FreeBSD.org
devel/qt4-libqtassistantclient  kde@FreeBSD.org
devel/qt4-linguisttools         kde@FreeBSD.org
devel/qt4-makeqpf               kde@FreeBSD.org
devel/qt4-porting               kde@FreeBSD.org
devel/qt4-qdbusviewer           kde@FreeBSD.org
devel/qt4-qdoc3                 kde@FreeBSD.org
devel/qt4-qt3support            kde@FreeBSD.org
devel/qt4-qvfb                  kde@FreeBSD.org
devel/qt4-script                kde@FreeBSD.org
devel/qt4-testlib               kde@FreeBSD.org
devel/qt4-uic3                  kde@FreeBSD.org
graphics/qt4-iconengines        kde@FreeBSD.org
graphics/qt4-imageformats       kde@FreeBSD.org
graphics/qt4-opengl             kde@FreeBSD.org
graphics/qt4-pixeltool          kde@FreeBSD.org
graphics/qt4-svg                kde@FreeBSD.org
japanese/qt4-codecs-jp          kde@FreeBSD.org
korean/qt4-codecs-kr            kde@FreeBSD.org
multimedia/qt4-multimedia       kde@FreeBSD.org
net/qt4-network                 kde@FreeBSD.org
textproc/clucene-qt4            kde@FreeBSD.org
textproc/qt4-xml                kde@FreeBSD.org
textproc/qt4-xmlpatterns        kde@FreeBSD.org
textproc/qt4-xmlpatterns-tool   kde@FreeBSD.org
x11/qt4-graphicssystems-opengl  kde@FreeBSD.org
x11/qt4-inputmethods            kde@FreeBSD.org
x11-toolkits/qt4-gui            kde@FreeBSD.org

x11-themes/qt4-style-Kvantum    matthew@reztek.cz
x11-themes/qt4-style-float              amdmi3@FreeBSD.org
x11-themes/qt4-style-phase              amdmi3@FreeBSD.org
x11-themes/qt4-style-quantumstyle       amdmi3@FreeBSD.org
x11-themes/qtcurve-qt4          jhale@FreeBSD.org

The attached patch fixes the issue.
Comment 9 mikael.urankar 2017-04-27 07:22:45 UTC
Hi,

This pr is almost a year old now and it blocks more and more people. I'm asking again: can my patch be reviewed and committed?
Comment 10 mikael.urankar 2017-05-31 10:29:55 UTC
another ping.
Comment 11 mikael.urankar 2017-06-01 09:45:14 UTC
Created attachment 183121 [details]
patch

Regen, I don't care at this point if we don't bump the revision of some ports.
Comment 12 commit-hook freebsd_committer 2017-06-06 05:01:31 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jun  6 05:01:01 UTC 2017
New revision: 442740
URL: https://svnweb.freebsd.org/changeset/ports/442740

Log:
  Fix qt4 ports on armv6.

  Due to a misspelling in GCC [1] (probably) the check for the ARMv6KZ platform
  used ARM_ARCH_6ZK instead of ARM_ARCH_6KZ.

  [1] https://gcc.gnu.org/ml/gcc-patches/2015-06/msg01679.html

  PR:		210027
  Submitted by:	Mika?l Urankar <mikael.urankar@gmail.com>
  Reviewed by:	rakuco
  Differential Revision:	https://reviews.freebsd.org/D8322

Changes:
  head/Mk/bsd.qt.mk
  head/accessibility/qt4-accessible/Makefile
  head/chinese/qt4-codecs-cn/Makefile
  head/chinese/qt4-codecs-tw/Makefile
  head/databases/qt4-mysql-plugin/Makefile
  head/databases/qt4-odbc-plugin/Makefile
  head/databases/qt4-pgsql-plugin/Makefile
  head/databases/qt4-sql/Makefile
  head/databases/qt4-sqlite-plugin/Makefile
  head/databases/qt4-sqlite3-plugin/Makefile
  head/devel/qt4/files/extrapatch-armv6
  head/devel/qt4-assistant-adp/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-help/Makefile
  head/devel/qt4-help-tools/Makefile
  head/devel/qt4-libqtassistantclient/Makefile
  head/devel/qt4-linguisttools/Makefile
  head/devel/qt4-makeqpf/Makefile
  head/devel/qt4-porting/Makefile
  head/devel/qt4-qdbusviewer/Makefile
  head/devel/qt4-qdoc3/Makefile
  head/devel/qt4-qmake/Makefile
  head/devel/qt4-qt3support/Makefile
  head/devel/qt4-qvfb/Makefile
  head/devel/qt4-script/Makefile
  head/devel/qt4-testlib/Makefile
  head/devel/qt4-uic3/Makefile
  head/graphics/qt4-iconengines/Makefile
  head/graphics/qt4-imageformats/Makefile
  head/graphics/qt4-opengl/Makefile
  head/graphics/qt4-pixeltool/Makefile
  head/graphics/qt4-svg/Makefile
  head/korean/qt4-codecs-kr/Makefile
  head/multimedia/qt4-multimedia/Makefile
  head/net/qt4-network/Makefile
  head/textproc/qt4-xml/Makefile
  head/textproc/qt4-xmlpatterns/Makefile
  head/textproc/qt4-xmlpatterns-tool/Makefile
  head/www/qt4-webkit/Makefile
  head/x11/qt4-graphicssystems-opengl/Makefile
  head/x11/qt4-inputmethods/Makefile
  head/x11-themes/qt4-style-Kvantum/Makefile
  head/x11-themes/qt4-style-float/Makefile
  head/x11-themes/qt4-style-phase/Makefile
  head/x11-themes/qt4-style-quantumstyle/Makefile
  head/x11-themes/qtcurve-qt4/Makefile
  head/x11-toolkits/qt4-gui/Makefile